Subject: [JAGNUTS] Updated Web site

From: "M.E. & E.A. Driver" <[email-masked]>
Date: Tue, 28 Sep 2004 20:28:29 -0600

Hi Fellows

I have updated  several pages on my web site www.vintage-sportscar-touring.ca
For those of you looking for spare parts although there is a  page on Healey spares,
many of the suppliers listed in it do have spares for other British Sportscars. The
page is found in the technical section.

Bob (England)  I've enjoyed the updates on the Jagnut site,  Margaret and I would
like to make the Photo Op night but I don't think it's possible.  Luigi , I hoping
you'll organize something to Moose Jaw - I need a bath -wink!

Kind regards
Ed
Saskatoon Jagnut